[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.EnableSets

Enables or disables use of set notation in the EditMask.

## Declaration

Source position: maskedit.pp line 317

`public property TCustomMaskEdit.EnableSets : Boolean read FEnableSets write FEnableSets;`

## Description

EnableSets is a Boolean property used when a new value assigned to the EditMask property is parsed to reconstruct the internal mask characters and literals for the control.

When set to False, the '[' and ']' characters used in set notation are treated as literal characters. When set to True, the optional or required set definition is added to the mask. The default value for the property is False.

## See also

TCustomMaskEdit.EditMask |  | Contains the mask characters classes and literals used to format/obscure the value for the control.